{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "damage group"|capfirst %}{% endblock %}
{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "damage group"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if perms.artefacts.add_damagegroup %}
        <a href="{% url 'artefacts:add-damage-group' %}" class="btn btn-outline-primary">{% translate "add"|capfirst %}</a>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'name'|capfirst %}</th>
            <th class="w-25"></th>
          </tr>
        </thead>
        <tbody>
          {% for group in object_list %}
            <td>{{group.name}}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.artefacts.change_damagegroup %}
                  <a href="{% url 'artefacts:change-damage-group' group.id %}" class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
                {%  endif %}
                {% if perms.artefacts.delete_damagegroup %}
                  <a href="{% url 'artefacts:delete-damage-group' group.id %}" class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
                {%  endif %}
              </div>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
